Subject: RE: [Ltru] Default script sine qua non (was: Moving Forward)

From: "Peter Constable" <[email-masked]>
Date: Wed, 13 Apr 2005 16:08:36 -0700

> From: [email-masked] [mailto:[email-masked]]
On Behalf Of
> Frank Ellermann

> Okay, I've made up my mind, a "default_script" is absolutely
> necessary for the lang-script-region-variant scheme...

> With a default_script for some languages the _absence_  of this
> info means "you SHOULD specify the script if you're not
> prepared to get content in any script".
> 
> The _presence_ of a default_script means "you SHOULD NOT use
> the default script in tags."

This is pretty much what I suggested a few days ago (with the
qualification that we include these values when we know there's a clear
value that can be indicated but not otherwise).

> Changing this info later in the registry (your TR scenario, or
> the got-Latn => got-Goth scenario) will be a *major* headache.
> 
> It's the price that has to be paid for the lang-script-region
> scheme, if we don't like it we can use Bruce's or Ira's ideas.
> 
> Maybe Bruce's idea will win over the lang-sript-region scheme
> where it can win (mail, news, http, html, xhtml), but we have
> seen that no proposal works everywhere without some problems.

Some have been saying for a long time now that no proposal works
everywhere without some problems, and that the lang-script-region option
yields the least overall pain.

Peter Constable

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 14 Apr 2005 02:38:50 +0200

Peter Constable wrote:

> This is pretty much what I suggested a few days ago (with
> the qualification that we include these values when we know
> there's a clear value that can be indicated but not
> otherwise).

Yes, as discussed before the Great Script Debate, maybe we can
delegate the task of populating the initial registry with the
"default_script" values to the language tag review list.

Or we do it on the fly in Doug's list, initial value for all
languages is "TBD", the final draft must not have any "TBD".

> Some have been saying for a long time now that no proposal
> works everywhere without some problems, and that the
> lang-script-region option yields the least overall pain.

One thing we should explain in the registry draft is the Zyyy
counter-kludge for the case "I really want _any_ script for a
language with default_script".  In practice this is probably
highly irrelevant, but curious minds want to know (otherwise
they'd ask what this WG was smoking, and that would be worse).

                            Bye, Frank

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Thu, 14 Apr 2005 03:38:20 +0200

I agree with the position of Frank. But this is only an additional reason 
for scripttags. A default_script is a pre-entered scripttag. Flexibility in 
script is necessary to enlarge/reduce/change script in a page. For example 
in a form to permit uppercases only. To support mathematic formula. Are 
there Members of the TeX community on this list? I would be interested in 
comments from experience?

jfc